Win a copy of Functional Reactive Programming this week in the Other Languages forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Compile Error of servlets

 
Nelson Nadal
Ranch Hand
Posts: 170
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Im eyeing for SCWCD exam this year, and I'm doing my exercises and review when I just encounter a problem...
I have jsdk.jar dated 4/21/98 and I'm using that to compile my servlets. But when I have this class in my program...
RequestDispatcher
... it can't compile anymore, it is looking for that class.
Is there any new jsdk.jar available? Can anyone help me. Thanks and I appreciate you.
Nelson
 
Scott Duncan
Ranch Hand
Posts: 365
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
The interface javax.servlet.RequestDispatcher can be found in the j2ee.jar file. You can go here and get it:
Sun/java site
 
Nelson Nadal
Ranch Hand
Posts: 170
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thank you Sir Duncan, till next time.
 
William Brogden
Author and all-around good cowpoke
Rancher
Posts: 13074
6
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
jsdk.jar dated 4/21/98

Yow! that is about 3 API generations out of date. You better get a current one and be sure to remove old versions from your system.
For SCWCD you can use the latest Tomcat.
Bill
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic